<template>
  <Page>
    <div
      :style="{
        padding: '12px',
        maxWidth: '640px',
        textAlign: 'center',
        margin: '24px auto 0 auto'
      }"
    >
      <AppLogo
        width="72px"
        height="72px"
        class="inline-block m-3"
      />

      <h1 :style="{ color: '#F65D6C' }">
        {{ GLOBALS.APP_NAME }}
      </h1>

      <h2>{{ $t('views.Home.Index.subtitle') | capitalize }}</h2>

      <VButton
        :variant="$app.ui.isTheme({
          'light': 'border-primary',
          'dark': 'border-primary'
        })"
        :to="{
          name: 'components'
        }"
        icon="cube"
        class="mr-2"
        inline
      >
        {{ $t('views.components.index.title') | capitalize }}
      </VButton>

      <VButton
        variant="coffee"
        icon="coffee"
        inline
      >
        <!-- eslint-disable-line @intlify/vue-i18n/no-raw-text -->
        Coffee!
      </VButton>

      <!-- eslint-disable -->

      <p :style="{ marginTop: '32px' }">
        scorpion-ui
        <span :style="{ color: '#F65D6C', fontWeight: 'bold'}">v{{ versions['scorpion-ui'] }}</span><!-- eslint-disable-line -->
        (<a href="https://gitlab.com/hperchec/boilerplates/scorpion/lib/scorpion-ui/-/blob/main/CHANGELOG.md" target="_blank">changelog</a>)<!-- eslint-disable-line -->
      </p>
    </div>
  </Page>
</template>

<script>
import { Core } from '@hperchec/scorpion-ui'
const RouteComponentMixin = Core.context.vue.mixins.RouteComponentMixin

/**
 * Home page component
 */
export default {
  mixins: [
    RouteComponentMixin
  ],
  data () {
    return {
      versions: {
        'scorpion-ui': Core.version
      }
    }
  }
}
</script>
